# Contributing to Jetty

Contributions are always welcome!
Please see our [Contribution Guide](https://jetty.org/docs/contribution-guide/index.html) for instructions on how to set up your development environment, as well as information on our processes and coding standards.

Here are some quick links to other useful resources:

* [**Source code.**](https://github.com/jetty/jetty.project) Jetty's canonical git repository is located on GitHub at https://github.com/jetty/jetty.project.

* [**Mailing list.**](https://accounts.eclipse.org/mailing-list/jetty-users) The [`jetty-users@eclipse.org`](mailto:jetty-users@eclipse.org) mailing list is a forum for technical discussion.

* [**Issue tracking.**](https://github.com/jetty/jetty.project/issues) We use [GitHub Issues](https://github.com/jetty/jetty.project/issues) to track ongoing development and issues.


## Eclipse Contributor Agreement

Before we can accept your contributions to the Jetty project, you will need to create and electronically sign a [Eclipse Contributor Agreement (ECA)](http://www.eclipse.org/legal/ecafaq.php):

1. Create an account on the [Eclipse foundation website](https://accounts.eclipse.org/user/login/) if you have not already done so.
2. Log into your account, click **Eclipse Contributor Agreement**, and complete the form.

Be sure to use the same email address in your Eclipse account that you intend to use when you commit to GitHub.


## Reporting Security Issues

Jetty is actively developed by the team at [Webtide](https://webtide.com/), and the most direct method for reporting security issues is to mail [security@webtide.com](mailto:security@webtide.com).

We are flexible in how we work with reporters of security issues; however, we reserve the right to act in the interests of the Jetty project in all circumstances.

If the issue is related to Eclipse or its Jetty integration, then we encourage you to reach out to the Eclipse Foundation directly at [security@eclipse.org](mailto:security@eclipse.org).
